Gem install rubocop fails to install in windows 10

Asked 2 months ago, Updated 2 months ago, 1 views

I am developing ruby on rails using atom.
In order to deploy linter-rubocop of atom's package,
I'd like to install rubocop's gem, but I can't because of the following error.

How can I install it?
I'd like someone to tell me.Thank you for your cooperation.

$gem install rubocop
ERROR:Error installing rubocop:
        ERROR—Failed to build gem native extension.

    current directory: C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/jaro_winkler-1.5.3/ext/jaro_winkler
C:/Ruby24-x64/bin/ruby.exe-IC:/Ruby24-x64/lib/ruby/site_ruby/2.4.0-r./siteconf20190704-17528-1bw0161.rb extconf.rb
creating Makefile

current directory: C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/jaro_winkler-1.5.3/ext/jaro_winkler
make "DESTDIR=" clean
current directory: C:/Ruby24-x64/lib/ruby/gems/2.4.0/gems/jaro_winkler-1.5.3/ext/jaro_winkler
make "DESTDIR="
make failedNo such file or directory-make "DESTDIR="

Gem files will remain installed in C: /Ruby24-x64/lib/ruby/gems/2.4.0/gems/jaro_winkler-1.5.3 for inspection.
Results logged to C: /Ruby24-x64/lib/ruby/gems/2.4.0/extensions/x64-mingw32/2.4.0/jaro_winkler-1.5.3/gem_make.out
Temporarily enhancing PATH for MSYS/MINGW...
Building native extensions. This could take a while...

ruby rubygems

2022-09-30 12:08

1 Answers

Native extension generation appears to be failing.I don't know which ruby you set up, but if it was installed using rubyinstall2, isn't msys set up correctly?The following installation instructions may be helpful:

The following may be helpful for atom:


2022-09-30 12:08

If you have any answers or tips


© 2022 OneMinuteCode. All rights reserved.